> ## Documentation Index
> Fetch the complete documentation index at: https://flatfileinc-feat-updatereactquickstart.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# SDKs

> Notable additions and updates to Flatfile core libraries

## November

### November 10, 2023

<div style={{ display: "table", width: "auto" }}>
  <div style={{ display: "table-row", width: "auto" }}>
    <Snippet file="chips/wrappers.mdx" />

    <div style={{ float: "left", display: "table-column", paddingLeft: "30px", width: "calc(80% - 30px)" }}>
      `@flatfile/javascript@0.1.27` & `@flatfile/react@7.2.34`

      When creating a Workbook from SDK, not all params were being passed to the API. All parameters are now seamlessly passed to the API when creating a Workbook client-side.
    </div>
  </div>
</div>

### November 9, 2023

<div style={{ display: "table", width: "auto" }}>
  <div style={{ display: "table-row", width: "auto" }}>
    <Snippet file="chips/wrappers.mdx" />

    <div style={{ float: "left", display: "table-column", paddingLeft: "30px", width: "calc(80% - 30px)" }}>
      `@flatfile/react@7.2.32` & `@flatfile/react@7.2.33`

      Removed `styled-components` from peer dependencies and resolving an issue with the change.
    </div>
  </div>

  <div style={{ display: "table-row", width: "auto" }}>
    <Snippet file="chips/wrappers.mdx" />

    <div style={{ float: "left", display: "table-column", paddingLeft: "30px", width: "calc(80% - 30px)" }}>
      `@flatfile/javascript@0.1.26`

      Removed a `console.log()`.
    </div>
  </div>
</div>

### November 8, 2023

<div style={{ display: "table", width: "auto" }}>
  <div style={{ display: "table-row", width: "auto" }}>
    <Snippet file="chips/wrappers.mdx" />

    <div style={{ float: "left", display: "table-column", paddingLeft: "30px", width: "calc(80% - 30px)" }}>
      `@flatfile/listener@0.3.17`

      Resolved an issue where `axios` and its associated HTTP methods were unavailable.
    </div>
  </div>
</div>

### November 6, 2023

<div style={{ display: "table", width: "auto" }}>
  <div style={{ display: "table-row", width: "auto" }}>
    <Snippet file="chips/wrappers.mdx" />

    <div style={{ float: "left", display: "table-column", paddingLeft: "30px", width: "calc(80% - 30px)" }}>
      `@flatfile/javascript@0.1.25`

      * Implemented UMD build type for seamless compatibility with Content Delivery Networks (CDNs).
      * Updated dependencies: `@flatfile/listener@0.3.16`
    </div>
  </div>

  <div style={{ display: "table-row", width: "auto" }}>
    <Snippet file="chips/wrappers.mdx" />

    <div style={{ float: "left", display: "table-column", paddingLeft: "30px", width: "calc(80% - 30px)" }}>
      `@flatfile/listener@0.3.16`

      Adds UMD build type for working with CDNs.
    </div>
  </div>
</div>

### November 1, 2023

<div style={{ display: "table", width: "auto" }}>
  <div style={{ display: "table-row", width: "auto" }}>
    <Snippet file="chips/wrappers.mdx" />

    <div style={{ float: "left", display: "table-column", paddingLeft: "30px", width: "calc(80% - 30px)" }}>
      `@flatfile/react@7.2.31` & `@flatfile/javascript@0.1.24`

      * Enhanced performance by updating package versions and removing unused dependencies
      * Updated dependencies: `@flatfile/embedded-utils@1.0.7`
    </div>
  </div>
</div>

## October (5)

##### October 29, 2023

<div style={{ display: "table", width: "auto" }}>
  <div style={{ display: "table-row", width: "auto" }}>
    <Snippet file="chips/wrappers.mdx" />

    <div style={{ float: "left", display: "table-column", paddingLeft: "30px", width: "calc(80% - 30px)" }}>
      `@flatfile/react@7.2.29-30` & `@flatfile/javascript@0.1.22-3`

      Implemented the use of `rollup.js` for bundling purposes, enhancing the project's build process.
    </div>
  </div>
</div>

##### October 19, 2023

<div style={{ display: "table", width: "auto" }}>
  <div style={{ display: "table-row", width: "auto" }}>
    <Snippet file="chips/wrappers.mdx" />

    <div style={{ float: "left", display: "table-column", paddingLeft: "30px", width: "calc(80% - 30px)" }}>
      `@flatfile/react@7.2.28` & `@flatfile/javascript@0.1.21`

      * Updated dependency: `@flatfile/api@1.5.31`
    </div>
  </div>

  <div style={{ display: "table-row", width: "auto" }}>
    <Snippet file="chips/wrappers.mdx" />

    <div style={{ float: "left", display: "table-column", paddingLeft: "30px", width: "calc(80% - 30px)" }}>
      `@flatfile/javascript@0.1.20`

      Streamlined the project by removing the unnecessary `dotenv` dependency, resulting in a cleaner and more efficient codebase.
    </div>
  </div>
</div>

##### October 16, 2023

<div style={{ display: "table", width: "auto" }}>
  <div style={{ display: "table-row", width: "auto" }}>
    <Snippet file="chips/wrappers.mdx" />

    <div style={{ float: "left", display: "table-column", paddingLeft: "30px", width: "calc(80% - 30px)" }}>
      `@flatfile/javascript@0.1.19` & `@flatfile/react@7.2.27`

      When creating a Space, you may like to receive the `spaceId` that was created to tie it back to something in your platform. You can now receive this in the Javascript SDK. This functionality is coming soon for the React SDK.
    </div>
  </div>
</div>

##### October 12, 2023

<div style={{ display: "table", width: "auto" }}>
  <div style={{ display: "table-row", width: "auto" }}>
    <Snippet file="chips/wrappers.mdx" />

    <div style={{ float: "left", display: "table-column", paddingLeft: "30px", width: "calc(80% - 30px)" }}>
      `@flatfile/javascript@0.1.18`

      When creating a Space, you may like to receive the `spaceId` that was created to tie it back to something in your platform. You can now receive this in the Javascript SDK. This functionality is coming soon for the React SDK.
    </div>
  </div>
</div>

## September (5)

##### September 29, 2023

<div style={{ display: "table", width: "auto" }}>
  <div style={{ display: "table-row", width: "auto" }}>
    <Snippet file="chips/wrappers.mdx" />

    <div style={{ float: "left", display: "table-column", paddingLeft: "30px", width: "calc(80% - 30px)" }}>
      `@flatfile/javascript@0.1.17` & `@flatfile/react@7.2.24`

      In this version, we've made two important updates:

      **Auto-Added Labels for Embedded Spaces:** Embedded spaces now come with auto-generated labels (that will be displayed in your Spaces Dashboard) for easier navigation and organization.

      **Listener loading Reordered**: The listener is now created before the Workbook, allowing you to listen for workbook creation events within your listener for more streamlined and effective integration in client-side listeners.
    </div>
  </div>
</div>

##### September 20, 2023

<div style={{ display: "table", width: "auto" }}>
  <div style={{ display: "table-row", width: "auto" }}>
    <Snippet file="chips/wrappers.mdx" />

    <div style={{ float: "left", display: "table-column", paddingLeft: "30px", width: "calc(80% - 30px)" }}>
      `@flatfile/javascript@0.1.13`

      You can now use `@flatfile/api` inside a client-side listener without needing a secret key. The listener will instead use the `accessToken` created from your `publishableKey`.
    </div>
  </div>

  <div style={{ display: "table-row", width: "auto" }}>
    <Snippet file="chips/wrappers.mdx" />

    <div style={{ float: "left", display: "table-column", paddingLeft: "30px", width: "calc(80% - 30px)" }}>
      `@flatfile/javascript@0.1.11` & `@flatfile/react@7.2.21`

      In this version, we've made two important updates:

      1. We've changed the default setting for `sidebarConfig` to hide the sidebar, providing a cleaner and more focused workspace.
      2. Now, when no `workbook` is set, `autoConfigure` is automatically turned on for Space creation. This enables you to listen for the `space:configure` job in a server side listener.
    </div>
  </div>

  <div style={{ display: "table-row", width: "auto" }}>
    <Snippet file="chips/core_plugin.mdx" />

    <div style={{ float: "left", display: "table-column", paddingLeft: "30px", width: "calc(80% - 30px)" }}>
      `@flatfile/plugin-record-hook@1.1.2`

      In this update, we've resolved a pesky bug that caused the message generated by `recordHook` to be overwritten when `bulkRecordHook` was also in use.

      Our solution? We've introduced caching, ensuring that both messages can coexist harmoniously.
    </div>
  </div>
</div>

##### September 12, 2023

<div style={{ display: "table", width: "auto" }}>
  <div style={{ display: "table-row", width: "auto" }}>
    <Snippet file="chips/wrappers.mdx" />

    <div style={{ float: "left", display: "table-column", paddingLeft: "30px", width: "calc(80% - 30px)" }}>
      `@flatfile/react@7.2.20` & `@flatfile/javascript@0.1.8`

      @flatfile/react\@7.2.20 & @flatfile/javascript\@0.1.8

      This version update introduces proper class names on the Error container so you can more easily control the look and feel of this component.

      See all classes that can be overridden in CSS in the [Reference](/apps/embedding/reference/advanced#iframe-styles).
    </div>
  </div>
</div>

## August (7)

##### August 30, 2023

<div style={{ display: "table", width: "auto" }}>
  <div style={{ display: "table-row", width: "auto" }}>
    <Snippet file="chips/wrappers.mdx" />

    <div style={{ float: "left", display: "table-column", paddingLeft: "30px", width: "calc(80% - 30px)" }}>
      `@flatfile/react@7.2.18`

      This version introduces the following notable updates:

      * **Enhanced Close Dialog**: Class names have been incorporated for all elements within the close dialog, which becomes visible when closing the embedded Flatfile component. This improvement gives you more control on styling.

      * **Utilization of Shared Utilities**: The integration now utilizes the shared `@flatfile/embedded-utils` module. This change lays the groundwork for consistent properties to be shared across all Flatfile wrapper SDKs, promoting standardization and ease of maintenance.

      * **Dependency Refinement**: The dependencies on `vite` and `@flatfile/configure` have been removed. This streamlines the codebase and reduces unnecessary dependencies, contributing to a more efficient and lightweight integration.
    </div>
  </div>
</div>

##### August 24, 2023

<div style={{ display: "table", width: "auto" }}>
  <div style={{ display: "table-row", width: "auto" }}>
    <Snippet file="chips/wrappers.mdx" />

    <div style={{ float: "left", display: "table-column", paddingLeft: "30px", width: "calc(80% - 30px)" }}>
      `@flatfile/react@7.2.17`

      An improvement was made to add the `userInfo` param on `metadata` in a more comprehensible way.
    </div>
  </div>
</div>

##### August 20, 2023

<div style={{ display: "table", width: "auto" }}>
  <div style={{ display: "table-row", width: "auto" }}>
    <Snippet file="chips/core.mdx" />

    <div style={{ float: "left", display: "table-column", paddingLeft: "30px", width: "calc(80% - 30px)" }}>
      `@flatfile/api@1.5.21`

      The response type for the `getRecordsAsCSV` endpoint was incorrectly typed as a string instead of a file. This fixes downloading a sheet as a CSV via SDk.
    </div>
  </div>

  <div style={{ display: "table-row", width: "auto" }}>
    <Snippet file="chips/core.mdx" />

    <div style={{ float: "left", display: "table-column", paddingLeft: "30px", width: "calc(80% - 30px)" }}>
      `@flatfile/listener@0.3.15`

      This version has four great updates:

      * Previously, you had to fake-out TypeScript because the event time was not exposed (it was a private class variable) for FlatfileEvents. We have now added `createdAt` to the FlatfileEvent.
      * Axios responses 200-399 now no longer throw Errors.
      * Created a secrets cache based on `spaceId`.
        * Previously, if your listener fetched secrets for multiple environments, those maps would entirely override each other.
        * If your listener fetched `spaceId` overrides first, and then environment -- you would get the space id overrides.
      * We now make sure that the fetch URL in the listener is formatted properly whether or not the user puts a trailing slash in the environment variable.
    </div>
  </div>

  <div style={{ display: "table-row", width: "auto" }}>
    <Snippet file="chips/core.mdx" />

    <div
      style={{
     float: "left",
     display: "table-column",
     paddingLeft: "30px",
     width: "calc(80% - 30px)",
    }}
    >
      `@flatfile/listener@0.3.14` `event.secrets` now defaults to `spaceId`. It
      will throw if no `environmentId` is available for secrets retrieval.
    </div>
  </div>

  <div style={{ display: "table-row", width: "auto" }}>
    <Snippet file="chips/wrappers.mdx" />

    <div
      style={{
     float: "left",
     display: "table-column",
     paddingLeft: "30px",
     width: "calc(80% - 30px)",
    }}
    >
      `@flatfile/react@7.2.15` You can now pass in a spacebody. This will allow
      you to send more than any already-defined parameters allowed on space
      creation.
    </div>
  </div>

  <div style={{ display: "table-row", width: "auto" }}>
    <Snippet file="chips/wrappers.mdx" />

    <div
      style={{
     float: "left",
     display: "table-column",
     paddingLeft: "30px",
     width: "calc(80% - 30px)",
    }}
    >
      `@flatfile/react@7.2.14` The close button and iframe now have a proper class
      name to allow for CSS overrides.
    </div>
  </div>
</div>
